import netsvc
from osv import osv, fields

class sale_order_line(osv.osv):
    _inherit = "sale.order.line"

    _columns = {
        'group_id': fields.many2one('sale.order.line.group', 'Group name'),
    }


class sale_order_line_group(osv.osv):
    _name = "sale.order.line.group"

    _columns = {
        'name': fields.char("Group Name", size=64, required=True),
        'project_id': fields.many2one('project.project','Project name', required=True, domain=[('project_id','=','true_project_id')]),
    }

